summaryrefslogtreecommitdiffstats
path: root/comm/third_party/asn1js/make_bundle.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:32:43 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:32:43 +0000
commit6bf0a5cb5034a7e684dcc3500e841785237ce2dd (patch)
treea68f146d7fa01f0134297619fbe7e33db084e0aa /comm/third_party/asn1js/make_bundle.sh
parentInitial commit. (diff)
downloadthunderbird-6bf0a5cb5034a7e684dcc3500e841785237ce2dd.tar.xz
thunderbird-6bf0a5cb5034a7e684dcc3500e841785237ce2dd.zip
Adding upstream version 1:115.7.0.upstream/1%115.7.0upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'comm/third_party/asn1js/make_bundle.sh')
-rwxr-xr-xcomm/third_party/asn1js/make_bundle.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/comm/third_party/asn1js/make_bundle.sh b/comm/third_party/asn1js/make_bundle.sh
new file mode 100755
index 0000000000..57d87138ce
--- /dev/null
+++ b/comm/third_party/asn1js/make_bundle.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+yarn install
+npm install --no-save esbuild
+
+echo 'export * as asn1js from "./src/index.ts";' | \
+ ./node_modules/.bin/esbuild --bundle \
+ --sourcefile=entry.js \
+ --loader=ts \
+ --format=esm \
+ --target=es2019 \
+ --log-level=verbose \
+ --outfile=asn1js.mjs
+
+rm -rf node_modules